package sync_ratelimiter

import (
	"gitlab.wanzhuangkj.com/tush/xpkg/utils/xtime"
	"testing"
	"time"
)

import (
	"fmt"
)

func TestRateLimiter(t *testing.T) {
	rl := NewIPRateLimiter(
		WithWindowSize(1*time.Second),
		WithMaxRequests(4),
		WithRedisAddr("localhost:6379"),
		WithRedisDB(0),
		WithRedisPassword(""),
	)
	ip := "192.168.1.1"
	for i := 0; i < 100; i++ {
		allowed := rl.Allow(ip)
		fmt.Printf("%s Request %d: %t\n", time.Now().Format(xtime.Layout_DateTime), i+1, allowed)
		time.Sleep(100 * time.Millisecond)
	}
}
